import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ConnectionInfoDialog extends JDialog {
	
	private JLabel hostAddressLabel;
	private JLabel portLabel;
	private JTextField hostAddressText;
	private JTextField portText;
	
	private int port;
	private String address;
	
	public ConnectionInfoDialog (JFrame owner, String title, boolean modal) {
		super (owner,title,modal);
		JPanel panel = new JPanel();
		hostAddressLabel = new JLabel ("The Chat Server Address");
		portLabel = new JLabel ("The Chat Server Port");
		hostAddressText = new JTextField ("localhost",14);
		portText = new JTextField ("9090",14);
		panel.setLayout(new GridLayout(2,2));
		panel.add(hostAddressLabel);
		panel.add(hostAddressText);
		panel.add(portLabel);
		panel.add(portText);
		getContentPane().add(panel,BorderLayout.CENTER);
		
		JPanel control = new JPanel ();
		JButton ok = new JButton("OK");
		control.add(ok);
		getContentPane().add(control,BorderLayout.SOUTH);
		ok.addActionListener(new ActionListener () {
					public void actionPerformed (ActionEvent e) {
						try {
							address  = hostAddressText.getText().trim();
							port =  Integer.parseInt(portText.getText().trim());
							dispose();
						} catch (Exception ex) {
							JOptionPane.showMessageDialog(ConnectionInfoDialog.this,"Invalid host address and port number",
							  "Connection Information",JOptionPane.ERROR_MESSAGE);
						}
						
					}
				});
		
	}
	
	public int getPort () {
		return port;
	}
	
	public String getAddress () {
		return address;
	}
	
}

