import javax.swing.table.*;
import javax.swing.event.*;

public class ConnectionInformationTableModel extends AbstractTableModel {
	
	private ChatRoomServer server;
	
	public ConnectionInformationTableModel (ChatRoomServer server) {
		this.server = server;
	}
	
	public int getRowCount () {
		return server.getConnections().size();
	}
	
	public int getColumnCount () {
		return 3;
	}
	
	public Object getValueAt(int row, int column) {
		Object result = null;
		
		if (row < server.getConnections().size()) {
			ChatRoomConnection connection = (ChatRoomConnection)
				server.getConnections().elementAt(row);
			
			if (column == 0) {
				result =  connection.getUserName();
			}
			
			if (column == 1) {
				result =  connection.getHostName();
			}
			
			if (column == 2) {
				result = connection.getHostAddress();
			}
		}
		return result;
	}
	
	
	public void refresh() {
		this.fireTableDataChanged();
	}
	public String getColumnName(int column) {
		String result = null;
		switch (column) {
			case 0:
				result =  "User Name";
				break;
			case 1:
				result =  "Host Name";
				break;
			case 2:
				result =  "Host Address";
				break;
		}
		return result;
	}
}

